  /// ///////// ///OBJETO NARRADOR ///////////////////////////////
  TIC.Narrador = (function(){
	  function Narrador(element, options){this.init(element, options);}
  
	  Narrador.prototype = {
		  init: function(element, options){
			  this.contador = 0;
			  this.element = element;
			  this.options = options;
  
			  var me = this;
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });
			  
			  this.clickControlar2 = function(){
				$(".next_2").show();
				$(".next").hide();
			  $(".next_2").html("<input type='button' id='sin_fondo' value='Siguiente' display='none'  onclick='newDoc()'>");
			  
			  }
			  
			  this.clickControlar = function(){
	
			  $(".next").show();
			  $(".prev").show();
			   $(".relleno").hide();
			  
			
			  
		   if($('input:radio[name=options]').is(':checked')){
			   
				  var idRespuesta = $('input:radio[name=options]:checked').val();
				
				  me.solve(idRespuesta);  
				   }else {  
			  me.showAlert();
			   }
			  
		  
						 }
						 
			  this.clickCerrar = function(){
				   			   
				$(".pop_up_container").hide();
				
				$(".overlay").hide();
						 }
			  this.clickController = function(){
						// alert("con");
						  $("#0").css({"background-image":"url(img/bot-si-hover.png)"})
						   $("#1").css({"background-image":"url(img/bot-no.png)"})
						 
								// me.solve(id); 
						 }
			this.clickController2 = function(){
										// alert("con2");

						$("#1").css({"background-image":"url(img/bot-no-hover.png)"})
						   $("#0").css({"background-image":"url(img/bot-si.png)"})
						 
								// me.solve(id); 
						 }			 
			  
			  this.clickBoton2 = function(){
				   var id_enlace = parseInt(this.id.substring(1));
				   
				    me.muestra_enlace(id_enlace);
					
				  //me.id_enlace = id_enlace;
				  }
			  
			  this.clickBoton = function(){   
								
								
								
								//clicks++;
								 var id_boton = parseInt(this.id.substring(4));
								 me.muestra(id_boton);
								 
								
			}					
																			 
  
  
  
			  
			  $(".indice").on('click',function(){
				 
			var indice= TIC.Indice[0].texto;
			
			$(".pop_up_container").show();
			$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
	 		$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
			
			
			  })
			  
			 $(".progress").on('click',function(){
				 
			var stars= TIC.Stars[0];
			
			$(".pop_up_container").show();
			$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Secuencia 1:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+"</div></br></br><strong>Secuencia 3:&nbsp;</strong><div class='stars'>"+stars.secuencia3+"</div></br></br><strong>Secuencia 4:&nbsp;</strong><div class='stars'>"+stars.secuencia4+"</div></br></br><strong>Secuencia 6:&nbsp;</strong><div class='stars'>"+stars.secuencia6+"</div><div class='cerrar'></div></div>");
			
			$("#star_00").addClass("stars_no")
			$("#star_33").addClass("stars_no")
			$("#star_34").addClass("stars_no")
	 		$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
			
			
			  })
  
			  this.showSlide();
		  },
								  
  ///Siguiente diapositiva
		  next: function(){
			   $(".reiniciar").hide();
			  this.contador++;
			  $(".prev").show();
			   $(".relleno").hide();
			  n_diapos = TIC.Diapositivas.length - 1;
			  if(this.contador == n_diapos){
				  $(".next").hide();
			  }
			   if(this.contador == 0){
				 
				  $(".prev").hide();
				   $(".relleno").show();}
				  
			  this.showSlide();
  
		  },
		  
  ///Diapositiva anterior
		  prev: function(){
			  $("#sin_fondo").hide();
			  $(".next2").hide();
			  this.contador--;
			  this.showSlide();
			  $(".next").show();
			   $(".reiniciar").hide();
			  if(this.contador == 0)
				  $(".prev").hide();
				   $(".relleno").show();
			  this.showSlide();
  
		  },
		  

//// AQUI DEFINIMOS LAS PANTALLAS TIPO ////////////////				  
		  showSlide: function(){
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
		  
			  $(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
			// alert(tipo);
			 
			  switch(tipo){
				  case "intro":
					  this.showIntro();
					  break;
				case "secuencia":
					  this.showSecuencia();
					  break;	  
										  
				  case "test":
					  this.showTest();
					  break;
				 case "true":
					  this.showTrue();
					  break;	  
				  case "diapo":
					  this.showDiapo();
					  break;
				  case "boton":
					  this.showBoton();
					  break;
				  case "lista":
					  this.showLista();
					  break;
				  case "edad":
					  this.showEdad();
					  break;
				 
			  }
		  },
////FIN PANTALLAS TIPO ////////////////



//Tipo intro
		  showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			var number = TIC.Secuencia[orden].number;
			$(".secuencia").html("<div class='string'><h4>secuencia "+number+"</h4><p class='menor3'>"+secuencia+"</p><div><button class='next2'></button>");
			//$(".next").html("");
			//$(".next").css({"top":"35%","left":"37%","font-size":"3.5em","height":"25%"});

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },


//Tipo diapo
		  showDiapo: function(){
			  $(".next").hide();
			  $(".prev").hide();
			  $(".relleno").show();
			 
			 
			 
			 
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			  var orden_secuencia = TIC.Diapositivas[this.diapo.id].secuencia;  
			  var number = TIC.Secuencia[orden_secuencia].number;
			  var secuencia = TIC.Secuencia[orden_secuencia].secc;
			  var contenido = TIC.Contenidos_narrador[orden];
			  
			  $(".next").show();
			  $(".prev").show();
			   $(".relleno").hide();
			  $(".col_izquierda").removeClass("centrado");
              $(".col_izquierda").addClass("frases");
			  $(".diapo").addClass("temario primero")
			  $(".primero").append("<h1><span>"+number+"</span>"+secuencia+"</h1>");
			  
			  
			  
			  
			  $(".col_izquierda").html("<figure class='recurso'><img src='img/"+contenido.imagen_dialogo+".png' width='100%'/><span>"+contenido.span+"</span></figure><p  class='narrador_img'><img src='img/"+contenido.imagen+".png' width='100%'/></p>")
			  
				  if(contenido.imagen == "none"){
					 $(".col_izquierda").html("<figure class='recurso'><img src='img/"+contenido.imagen_dialogo+".png' width='100%'/><span>"+contenido.span+"</span></figure>") 
					  }
			 
			  
			  $(".col_derecha").removeClass("frases");
			  $(".col_derecha").html(contenido.texto+"<figure class='abajo_derecha'><img src='img/"+contenido.imagen_derecha+".png'/></figure>")
			  
			  if (contenido.imagen_derecha == ""){
				  $(".col_derecha").html(contenido.texto) 
				  }
				  
				  if (orden == 0){
					   $(".prev").hide();  
					 $(".relleno").show();
					  }
				  if (orden == 0 || orden == 2 || orden == 3 ){
					  
					  $(".diapo").html("<div class='test_ancho'>"+contenido.texto+"</div>")
					  }
				 if (orden == 3){
					 $(".next").hide();
					 }	  

		  },

		  
//Tipo V/F
		  showTrue: function(){
			 
			  $(".next").hide();
			  $(".prev").hide();
			    $(".relleno").show();
			  
			  $("#pizarra").on('click', '#1', this.clickController2);
			  $("#pizarra").on('click', '#0', this.clickController);
			  
			  $(".reiniciar").hide();	
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
              var orden_diapo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			  var opciones = TIC.Test[orden].opciones;
			  var preguntas = TIC.Test[orden].preguntas;
			  var contenido = TIC.Contenidos_narrador[orden_diapo];
			  var cadenaHtml = "";
			  
			
			 
				  
		  for(j=0; j<opciones.length; j++){
			   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
               var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			   var opciones = TIC.Test[orden].opciones;
			
				  cadenaHtml += "<div id='borrar_input"+j+"'><label for='op_test_"+j+"' id='"+j+"'><input value='"+ j + "' id='op_test_"+ j + "' name='options' type='radio' style='display:none;'>" + opciones[j][0]+"</label></div>"
				  
				  }
			  cadenaHtml = "<ul class='op_test'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
			 
			 
			
			  $(".col_izquierda").addClass("frases");
			  $(".primero").append("<h1><span>"+number+"</span>"+secuencia+"</h1>");	
			  $(".col_izquierda").html("<img src='img/movil-02.png' style='margin: 40px auto -80px'/>"+contenido.texto+"");
			  $(".col_derecha").html("<h3>"+preguntas+"</h3><div class='pregunta-01 bounceInUp'><p class='limpio'>"+cadenaHtml+"</p><input type='button' id='boton' class='comprobar-01' value='Comprobar'><div class='explain2'></div>");
			  
			

$("#0").addClass("si")
$("#1").addClass("no")

$("#pizarra").on('click', '#boton', this.clickControlar);
		  
		  }, 
		  
//Tipo Test
		  showTest: function(){
			  
			
			  
			  $(".next").hide();
			  $(".prev").hide();
			    $(".relleno").show();
			  
			 		  
			  $(".reiniciar").hide();	
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
              var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
			  var opciones = TIC.Test[orden].opciones;
			  var preguntas = TIC.Test[orden].preguntas;
			  var contenido = TIC.Contenidos_narrador[orden_dialogo];
			  var cadenaHtml = "";
			  
			 
				  
		  for(j=0; j<opciones.length; j++){
			   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
               var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
			   var opciones = TIC.Test[orden].opciones;
			
				  cadenaHtml += "<li><input value='"+ j + "' id='test_"+ j + "' name='options' type='radio'><label for='test_"+j+"'>" + opciones[j][0]+"</label></li>"
				  
				  }
			  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
			 
			 
			  $(".test").addClass("temario");
			  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton' class='comprobar-01' value='Comprobar'></div><div class='explain'></div>");
			 $(".comprobar-01").addClass("small");
			
$("#pizarra").on('click', '#boton', this.clickControlar);
	
	if (orden == 2){
		
		$("#pantalla").append("<div class='next_2'></div>")
		$(".next_2").hide();
		$("#pizarra").on('click', '#boton', this.clickControlar2);
		
		}
	
			  
		  }, 		  
		  
		  
// funcion para "resolver" los Tests
		  solve: function(idRespuesta){
			
			  var number = 		TIC.Secuencia[0].number;
			  var secuencia = 	TIC.Secuencia[0].secc;
			  var orden = 		TIC.Diapositivas[this.diapo.id].n_orden_test;
			  var opciones = TIC.Test[orden].opciones;
			  var feedback = TIC.Test[orden].feedback;		  	
			  var pulsada = opciones[idRespuesta][1];
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;	
				
			  $(".next").show();
			  $(".prev").show();
			   $(".relleno").hide();	
			//  $(".reiniciar").fadeIn();	
			  $(".preguntas").hide();
			  $(".explain").html("");
			  
			 
			//  alert(opciones.length);
			   if(pulsada == 0){
					
				   $(".explain2").css({"top":"60%","left":"-110%","width":"215%"});
				   $(".explain2").html( feedback[pulsada]);
				   $(".explain").html( feedback[pulsada]);
				   $("#boton").hide();	
			  }else{
				  
				 $(".explain2").css({"top":"60%","left":"-110%","width":"215%"});
				   $(".explain2").html( feedback[pulsada]);
				   $(".explain").html( feedback[pulsada]);
				   $("#boton").hide();
			  
			 }
			 if (tipo = "test"){
				 $(".explain").css({"top":"60%","left":"0%","width":"100%"});
				 }
				 
				 
			  
			 
			 
		  },
		  
		  
/// Tipo ventana emergente ////
		  
		  showAlert: function(){
			  
			//   var orden = TIC.Diapositivas[this.diapo.id].n_orden_vf;
			  // var mensaje = TIC.Pop[orden].texto;
			  $(".pop_up_container").fadeIn();
			 // $(".pop_up_container").css({"height":"100%","width":"100%","z-index":"15","position":"absolute","top":"0","background":"#fff", "opacity":".8"})
			  $(".pop_up_container").html("<p></p><div class='cerrar'></div>")
			  $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
			  
			  }, 


		  
		  
		  		  
		  		  
  
//Tipo lista
		  showLista: function(){
			  var orden = TIC.Diapositivas[this.diapo.id].id
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;
			  var puntos = TIC.Lista[orden].lista;
			  var intro = TIC.Lista[orden].intro;
			  
			  			 
			  var cadenaHtml = "";
			  for(j=0; j<puntos.length; j++){
				  cadenaHtml += "<li class='indice-link' id='ind"+ j + "'>" + puntos[j] + "</li>"					
			  }
			  
			  $(".col_izquierda").html(cadenaHtml)
			  
			  //cadenaHtml = "<ul class='lista_"+orden+"'>" + cadenaHtml + "</ul>";
			  $(".lista").append("<span class='number'>&nbsp;&nbsp;"+number+"</span><div class='secuencia'>"+secuencia+"</div><div class='contenido' id='contenido_"+orden+"'><div class='titular'>"+intro+"</div>"+cadenaHtml+"</div>");
			  },
			  
	
	
	
	
// funcion para mostrar Botones
  muestra: function(id_boton, clicks){
	 
		  
		 
		  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
		  var plus = TIC.Boton[orden];
		  var encabezado = TIC.Boton[orden];
		  var img_plus = TIC.Boton[orden];
		 
		  $(".encabezado").html(encabezado.texto[id_boton]);
		  $(".plus").html("<p>"+plus.plus[id_boton]+"</p><p><img src='img/"+plus.img_plus[id_boton]+".png' width='100%'; /></p>");
		 $("#btn_"+id_boton+" a").css({"background":"#db9b5f"});
		 
		  if(plus.img_plus[id_boton] == ""){
			  
			  $(".plus").html("<p>"+plus.plus[id_boton]+"</p>");
			  }
		 
		 $("#btn_"+id_boton).click(function() {
			
			return false; });
		 
		 	
		//alert(clicks);
		
		if (plus.plus.length ==[id_boton+1]){
				 
		  $(".prev").show();
		   $(".relleno").hide();
		  $(".next").show();
		 // $(".reiniciar").show();
		 	  	  				  

	  }
	  if (orden == 1){
		   $(".next").hide();
		   $(".pantalla").append("<input type='button' id='sin_fondo' value='' display='none'  onclick='newDoc()'><label for='sin_fondo'><p class='next'>Siguiente</p></label>")
		  }
	  },	 
//Tipo Botón	
		  showBoton: function(){
			  contador2=0;
			  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
			  var orden_enlace = TIC.Diapositivas[this.diapo.id].n_orden_enlace;	
			  var botones = TIC.Boton[orden].texto;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";
			  //var mas_info = TIC.Pop[orden_enlace].texto;
			 // var orden_mas = TIC.Pop[orden_enlace].orden;



			  $(".reiniciar").hide();
			  $(".next").hide();
			  $(".prev").hide();
			    $(".relleno").show();	

			

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
			  $(".primero").append("<h1><span>"+number+"</span>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			  
			
			  $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+"<figure class='abajo_izquierda'><img src='img/"+imagen+".png'/>"+mensaje+"</figure>");
			  
			  if(imagen == "none"){
				   $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+mensaje);
				    $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
				  }
			  
			  $(".col_derecha").html("<h5 class='encabezado'></h5><p class='plus'>Pulsa las opciones para completar las definiciones.</p>")
			  
			  
			  
			  if (botones == "?"){
				  $(".boton").html("<div class='menu temario'><h3>"+intro+"</h3>"+cadenaHtml+"</div><p class='plus' id='scroll'>Pulsa sobre la interrogación.</p>");
					$(".menu_vert_x4 a").addClass("question");
					//$(".question").removeClass("menu_vert_x4")			 
				   $(".question").css({"width":"15%","text-align":"center","position":"absolute","font-size":"4em","background-image":"#db9b5f","padding":"5%","left":"40%"});
				   $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
				  }
			  
			  
		$("#pizarra").on('click', 'a.enlace', this.clickBoton2);		  




//////////////funcionalidad para los enlaces en Tipo-botones /////////////			  


//$("#pizarra").on('click','a.enlace', function() {
			
		 
			
			
		//	$(".pop_up2").show();
		//	$(".pop_up2").html(mas_info[orden_enlace]);
		//	$(".pop_up2").append("<div class='btn'></div>");
		//	orden_enlace++;
			//alert(orden_enlace);
		//	if (orden_enlace == 5){
		//		orden_enlace=1;
				
				
				
			//	}
			
			
//});	
//////////////////		  
			
		  },
 muestra_enlace: function(id_enlace){
	
	 var mas_info = TIC.Pop[id_enlace].texto; 
	
	 $(".pop_up_container").show();
	 $(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
	 $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
	 
	 },		  
		  
		  
		  
		  

  }	
	  
	  return Narrador;
  }());
  
  
  function newDoc() {
    window.location.assign("OAM03_09.html")
}